{
Simon, for Hydra
Coded by Spork Frog
Spectrum TV Driver by Jos Luis Cebrin with slight modification by Spork Frog
Frequency synthesis and random number routines by Parallax

Currently supports keyboard arrow keys only

KNOWN ISSUES:
Must restart after end of game

TODO:
Score counter/high scores
Welcome/splash screen
In-game instructions
}
con
        _clkmode = xtal2 + pll8x
        _xinfreq = 10_000_000

' //////////////////////////////////////////////////////////////////
' NES Game Paddle Read
' //////////////////////////////////////////////////////////////////       
' reads both gamepads in parallel encodes 8-bits for each in format
' right game pad #1 [15..8] : left game pad #0 [7..0]

    GP_RIGHT  = %00000001
    GP_LEFT   = %00000010
    GP_DOWN   = %00000100
    GP_UP     = %00001000
    GP_START  = %00010000
    GP_SELECT = %00100000
    GP_B      = %01000000
    GP_A      = %10000000
var
  word freq[4]
  
obj
  tv: "JLC_Spectrum_TV_010"
  kbd: "keyboard_iso_010"
  rnd: "RealRandom"

  ld: "left_green"
  rd: "right_blue"
  ud: "up_red"
  dd: "down_yellow"
  bd: "blank"

  welbmp: "gfx2"
  gamebmp: "gamescreen"
  numbmp: "nums"

  str: "Numbers"

pub main | hs, hsb, pbuf
  tv.start(@data, 0)
  tv.SetBorderColor(0)
  kbd.start(3)
  rnd.start
  str.Init

  freq[0] := 196
  freq[1] := 294
  freq[2] := 392
  freq[3] := 220 

  repeat
    if (hsb > hs)
      hs := hsb
    pbuf := str.ToStr(hs, (%000_000_000_0_0_000000_01010 + %000_000_000_0_0_000100_00000))
    drawnum(19, 17, byte[pbuf + 1] - 48)
    drawnum(20, 17, byte[pbuf + 2] - 48)
    drawnum(21, 17, byte[pbuf + 3] - 48)
    repeat until (kbd.key == $0D) or (readnes & (%10010000))
    bytemove(@data, gamebmp.addr, 6912)
    hsb := game
    waitcnt(20_000_000 + cnt)
    bytemove(@data, welbmp.addr, 6912)

pub game : points | key, sptr, rand, curr, score, time, pad, pbuf
  sptr := @start
  score := 0

  drawnum(29, 22, 0)
  drawnum(30, 22, 0)
  drawnum(31, 22, 0)

  waitcnt(40_000_000 + cnt)
  
  repeat
    rand := ||(rnd.random // 4) + 1
    byte[sptr] := rand
    repeat curr from @start to sptr
      if byte[curr] == 2
        bytemove(@attr, ld.saddr, 768)
        Synth("A", 7, 294)
      
      if byte[curr] == 4
        bytemove(@attr, rd.saddr, 768)
        Synth("A", 7, 220)
        
      if byte[curr] == 1
        bytemove(@attr, ud.saddr, 768)
        Synth("A", 7, 196)
        
      if byte[curr] == 3
        bytemove(@attr, dd.saddr, 768)
        Synth("A", 7, 392)


      if (score =< 4)
        waitcnt(30_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)

      if (score > 4) and (score =< 10)
        waitcnt(20_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(5_000_000 + cnt)

      if (score > 10)
        waitcnt(10_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        waitcnt(2_500_000 + cnt)
        
    kbd.clearkeys
    
    repeat curr from @start to sptr
      key := 5
      time := 0
      repeat until (time > 5500) or (key < 5)
        time ++
        key := kbd.key
        pad := readnes
        if key == 0
          key := 5
        if key == $C0 or (pad & GP_LEFT)
          key := 2
          bytemove(@attr, ld.saddr, 768)
        if key == $C1 or (pad & GP_RIGHT)
          key := 4
          bytemove(@attr, rd.saddr, 768)
        if key == $C2 or (pad & GP_UP)
          key := 1
          bytemove(@attr, ud.saddr, 768)
        if key == $C3 or (pad & GP_DOWN)
          key := 3
          bytemove(@attr, dd.saddr, 768)
      
      if (key <> byte[curr]) or (time > 5500)
        Synth("A", 7, 50)
        waitcnt(80_000_000 + cnt)
        Synth("A", 7, 0)
        bytemove(@attr, bd.saddr, 768)
        return score
        
      Synth("A", 7, freq[key - 1])
      repeat while (kbd.keystate($C0) or  kbd.keystate($C1) or kbd.keystate($C2) or kbd.keystate($C3) or (readnes & %00001111))
      
      Synth("A", 7, 0)
      bytemove(@attr, bd.saddr, 768)
      
    sptr ++
    
    score ++
    pbuf := str.ToStr(score, (%000_000_000_0_0_000000_01010 + %000_000_000_0_0_000100_00000))
    
    drawnum(29, 22, byte[pbuf + 1] - 48)
    drawnum(30, 22, byte[pbuf + 2] - 48)
    drawnum(31, 22, byte[pbuf + 3] - 48)
    
    
    waitcnt(80_000_000 + cnt)

pub drawnum(x, y, n)

      byte[@data + 32*(8*y+0) + x] := byte[numbmp.addr + (8 * n)]
      byte[@data + 32*(8*y+1) + x] := byte[numbmp.addr + (8 * n) + 1]
      byte[@data + 32*(8*y+2) + x] := byte[numbmp.addr + (8 * n) + 2]
      byte[@data + 32*(8*y+3) + x] := byte[numbmp.addr + (8 * n) + 3]
      byte[@data + 32*(8*y+4) + x] := byte[numbmp.addr + (8 * n) + 4]
      byte[@data + 32*(8*y+5) + x] := byte[numbmp.addr + (8 * n) + 5]
      byte[@data + 32*(8*y+6) + x] := byte[numbmp.addr + (8 * n) + 6] 
      byte[@data + 32*(8*y+7) + x] := byte[numbmp.addr + (8 * n) + 7]
      
PUB readnes : nes_bits        |  i

' set I/O ports to proper direction
' P3 = JOY_CLK      (4)
' P4 = JOY_SH/LDn   (5) 
' P5 = JOY_DATAOUT0 (6)
' P6 = JOY_DATAOUT1 (7)
' NES Bit Encoding

' step 1: set I/Os
DIRA [3] := 1 ' output
DIRA [4] := 1 ' output
DIRA [5] := 0 ' input
DIRA [6] := 0 ' input

' step 2: set clock and latch to 0
OUTA [3] := 0 ' JOY_CLK = 0
OUTA [4] := 0 ' JOY_SH/LDn = 0
'Delay(1)

' step 3: set latch to 1
OUTA [4] := 1 ' JOY_SH/LDn = 1
'Delay(1)

' step 4: set latch to 0
OUTA [4] := 0 ' JOY_SH/LDn = 0

' step 5: read first bit of each game pad

' data is now ready to shift out
' first bit is ready 
nes_bits := 0

' left controller
nes_bits := INA[5] | (INA[6] << 8)

' step 7: read next 7 bits
repeat i from 0 to 6
 OUTA [3] := 1 ' JOY_CLK = 1
 'Delay(1)             
 OUTA [3] := 0 ' JOY_CLK = 0
 nes_bits := (nes_bits << 1)
 nes_bits := nes_bits | INA[5] | (INA[6] << 8)

 'Delay(1)             
' invert bits to make positive logic
nes_bits := (!nes_bits & $FFFF)

' //////////////////////////////////////////////////////////////////
' End NES Game Paddle Read
' //////////////////////////////////////////////////////////////////  
    

PUB Synth(CTR_AB, Pin, Freq1) | s, d, ctr, frq

  Freq1 := Freq1 #> 0 <# 128_000_000     'limit frequency range
  
  if Freq1 < 500_000                    'if 0 to 499_999 Hz,
    ctr := constant(%00100 << 26)      '..set NCO mode
    s := 1                             '..shift = 1
  else                                 'if 500_000 to 128_000_000 Hz,
    ctr := constant(%00010 << 26)      '..set PLL mode
    d := >|((Freq - 1) / 1_000_000)    'determine PLLDIV
    s := 4 - d                         'determine shift
    ctr |= d << 23                     'set PLLDIV
    
  frq := fraction(Freq1, CLKFREQ, s)    'Compute FRQA/FRQB value
  ctr |= Pin                           'set PINA to complete CTRA/CTRB value

  if CTR_AB == "A"
     CTRA := ctr                        'set CTRA
     FRQA := frq                        'set FRQA                   
     DIRA[Pin]~~                        'make pin output
     
  if CTR_AB == "B"
     CTRB := ctr                        'set CTRB
     FRQB := frq                        'set FRQB                   
     DIRA[Pin]~~                        'make pin output

PRI fraction(a, b, shift) : f

  if shift > 0                         'if shift, pre-shift a or b left
    a <<= shift                        'to maintain significant bits while 
  if shift < 0                         'insuring proper result
    b <<= -shift
 
  repeat 32                            'perform long division of a/b
    f <<= 1
    if a => b
      a -= b
      f++           
    a <<= 1
   
dat

data                    byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %11111111, %11111100
                        byte %00000000, %00001111
                        byte %00000000, %00001111
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %11111110, %00000000
                        byte %00000011, %11100000
                        byte %00000000, %00000000
                        byte %00111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %11111111, %11111110
                        byte %00000000, %00001111
                        byte %10000000, %00011111
                        byte %10000000, %00000000
                        byte %00000001, %11111111
                        byte %11111111, %10000000
                        byte %00000111, %11110000
                        byte %00000000, %00000000
                        byte %01111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11111111
                        byte %00000000, %01111111
                        byte %11111111, %11111110
                        byte %00000000, %00011111
                        byte %11000000, %00011111
                        byte %10000000, %00000000
                        byte %00000011, %11111111
                        byte %11111111, %11100000
                        byte %00000111, %11111000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %11111111
                        byte %11000000, %01111111
                        byte %11111111, %11111110
                        byte %00000000, %00011111
                        byte %11000000, %00011111
                        byte %10000000, %00000000
                        byte %00001111, %11111111
                        byte %11111111, %11110000
                        byte %00000111, %11111000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111111
                        byte %11110000, %01111111
                        byte %11111111, %11111110
                        byte %00000000, %00111111
                        byte %11000000, %00111111
                        byte %11000000, %00000000
                        byte %00011111, %11111111
                        byte %11111111, %11111000
                        byte %00000111, %11111100
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11110000, %00111111
                        byte %11111111, %11111100
                        byte %00000000, %00111111
                        byte %11000000, %00111111
                        byte %11000000, %00000000
                        byte %00111111, %11111111
                        byte %11111111, %11111100
                        byte %00000111, %11111110
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11111111
                        byte %11110000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00111111
                        byte %11000000, %00111111
                        byte %11000000, %00000000
                        byte %01111111, %11111100
                        byte %00111111, %11111110
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %11111111, %11111111
                        byte %11110000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00111111
                        byte %11100000, %00111111
                        byte %11000000, %00000000
                        byte %01111111, %11100000
                        byte %00000011, %11111110
                        byte %00000111, %11111111
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %11111111, %00011111
                        byte %11100000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %01111111
                        byte %11100000, %01111111
                        byte %11000000, %00000000
                        byte %11111111, %10000000
                        byte %00000000, %11111110
                        byte %00000111, %11111111
                        byte %10000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %01111111
                        byte %11100000, %01111111
                        byte %11100000, %00000001
                        byte %11111111, %00000000
                        byte %00000000, %11111111
                        byte %00000111, %11111111
                        byte %11000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %01111111
                        byte %11100000, %01111111
                        byte %11100000, %00000001
                        byte %11111110, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11111111
                        byte %11000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %01111111
                        byte %11100000, %01111111
                        byte %11100000, %00000011
                        byte %11111100, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11111111
                        byte %11100000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %01111111
                        byte %11100000, %11111111
                        byte %11100000, %00000011
                        byte %11111000, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11111111
                        byte %11110000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %11111111
                        byte %11110000, %11111111
                        byte %11100000, %00000111
                        byte %11111000, %00000000
                        byte %00000000, %00111111
                        byte %00000111, %11111111
                        byte %11111000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %11111111
                        byte %11110000, %11111111
                        byte %11100000, %00000111
                        byte %11110000, %00000000
                        byte %00000000, %00111111
                        byte %00000111, %11101111
                        byte %11111100, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %11111111
                        byte %11110000, %11111111
                        byte %11100000, %00001111
                        byte %11110000, %00000000
                        byte %00000000, %00111111
                        byte %00000111, %11100111
                        byte %11111100, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00011111
                        byte %11111111, %11111111
                        byte %11000000, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %11111111
                        byte %11110001, %11111111
                        byte %11110000, %00001111
                        byte %11100000, %00000000
                        byte %00000000, %00111111
                        byte %00000111, %11100011
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111111, %11111111
                        byte %11110000, %00000000
                        byte %01111110, %00000000
                        byte %00000001, %11111111
                        byte %11110001, %11111111
                        byte %11110000, %00001111
                        byte %11100000, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11100011
                        byte %11111111, %00000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000111
                        byte %11111111, %11111111
                        byte %11111000, %00000000
                        byte %01111110, %00000000
                        byte %00000001, %11111111
                        byte %11111001, %11111011
                        byte %11110000, %00001111
                        byte %11100000, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11100001
                        byte %11111111, %10000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111111, %11111111
                        byte %11111100, %00000000
                        byte %01111110, %00000000
                        byte %00000001, %11111111
                        byte %11111011, %11111011
                        byte %11110000, %00001111
                        byte %11100000, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11100000
                        byte %11111111, %11000000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111111, %11111111
                        byte %11111100, %00000000
                        byte %01111110, %00000000
                        byte %00000001, %11111111
                        byte %11111011, %11111011
                        byte %11111000, %00001111
                        byte %11000000, %00000000
                        byte %00000000, %01111111
                        byte %00000111, %11100000
                        byte %01111111, %11100000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00000011, %11111001
                        byte %11111011, %11111011
                        byte %11111000, %00001111
                        byte %11000000, %00000000
                        byte %00000000, %11111111
                        byte %00000111, %11100000
                        byte %00111111, %11110000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00000011, %11111001
                        byte %11111111, %11110011
                        byte %11111000, %00001111
                        byte %11000000, %00000000
                        byte %00000000, %11111110
                        byte %00000111, %11100000
                        byte %00011111, %11110000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00000011, %11111001
                        byte %11111111, %11110001
                        byte %11111000, %00001111
                        byte %11100000, %00000000
                        byte %00000000, %11111110
                        byte %00000111, %11100000
                        byte %00001111, %11111000
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %01111110, %00000000
                        byte %00000111, %11111001
                        byte %11111111, %11110001
                        byte %11111100, %00001111
                        byte %11100000, %00000000
                        byte %00000001, %11111110
                        byte %00000111, %11100000
                        byte %00001111, %11111100
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01111110, %00000000
                        byte %01111110, %00000000
                        byte %00000111, %11110001
                        byte %11111111, %11100001
                        byte %11111100, %00001111
                        byte %11100000, %00000000
                        byte %00000011, %11111100
                        byte %00000111, %11100000
                        byte %00000111, %11111110
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111000
                        byte %00000000, %00000000
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00000111, %11110000
                        byte %11111111, %11100001
                        byte %11111100, %00001111
                        byte %11110000, %00000000
                        byte %00000011, %11111100
                        byte %00000111, %11100000
                        byte %00000011, %11111111
                        byte %01111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111100
                        byte %00000000, %00000001
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00001111, %11110000
                        byte %11111111, %11100000
                        byte %11111100, %00000111
                        byte %11111000, %00000000
                        byte %00000111, %11111000
                        byte %00000111, %11100000
                        byte %00000001, %11111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111110
                        byte %00000000, %00000011
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00001111, %11100000
                        byte %11111111, %11000000
                        byte %11111110, %00000111
                        byte %11111100, %00000000
                        byte %00011111, %11110000
                        byte %00000111, %11100000
                        byte %00000000, %11111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %00000000, %00011111
                        byte %11111110, %00000000
                        byte %01111110, %00000000
                        byte %00001111, %11100000
                        byte %11111111, %11000000
                        byte %11111110, %00000011
                        byte %11111111, %00000000
                        byte %00111111, %11110000
                        byte %00000111, %11100000
                        byte %00000000, %01111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11100001, %11111111
                        byte %11111100, %00111111
                        byte %11111111, %11111100
                        byte %00001111, %11100000
                        byte %01111111, %11000000
                        byte %01111110, %00000011
                        byte %11111111, %11100001
                        byte %11111111, %11100000
                        byte %00000111, %11100000
                        byte %00000000, %00111111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11111111
                        byte %11111111, %11111111
                        byte %11111000, %01111111
                        byte %11111111, %11111110
                        byte %00001111, %11100000
                        byte %01111111, %11000000
                        byte %01111111, %00000001
                        byte %11111111, %11111111
                        byte %11111111, %11000000
                        byte %00000111, %11100000
                        byte %00000000, %00011111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %11111111, %11111111
                        byte %11110000, %01111111
                        byte %11111111, %11111110
                        byte %00001111, %11100000
                        byte %01111111, %10000000
                        byte %01111111, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %10000000
                        byte %00000111, %11100000
                        byte %00000000, %00001111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111111
                        byte %11111111, %11111111
                        byte %11100000, %01111111
                        byte %11111111, %11111110
                        byte %00001111, %11000000
                        byte %01111111, %10000000
                        byte %01111111, %00000000
                        byte %01111111, %11111111
                        byte %11111111, %00000000
                        byte %00000111, %11100000
                        byte %00000000, %00000111
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00111111
                        byte %11111111, %11111111
                        byte %10000000, %01111111
                        byte %11111111, %11111110
                        byte %00001111, %11000000
                        byte %00111111, %10000000
                        byte %00111111, %00000000
                        byte %00011111, %11111111
                        byte %11111110, %00000000
                        byte %00000111, %11100000
                        byte %00000000, %00000011
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00001111
                        byte %11111111, %11111110
                        byte %00000000, %00111111
                        byte %11111111, %11111100
                        byte %00001111, %11000000
                        byte %00111111, %00000000
                        byte %00111111, %00000000
                        byte %00001111, %11111111
                        byte %11111000, %00000000
                        byte %00000111, %11100000
                        byte %00000000, %00000001
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11111111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %10000000
                        byte %00011110, %00000000
                        byte %00111111, %00000000
                        byte %00000001, %11111111
                        byte %11100000, %00000000
                        byte %00000111, %11100000
                        byte %00000000, %00000000
                        byte %11111100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00001110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %00000000
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %11111111, %11111111
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000111, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %11100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000111
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00000000
                        byte %00000000, %00000011
                        byte %11111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00011000
                        byte %00000000, %00000000
                        byte %00000000, %00000110
                        byte %00110011, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000000
                        byte %00011001, %10000000
                        byte %00000000, %00001100
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00000000
                        byte %00000000, %00000011
                        byte %00001100, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00011000
                        byte %00000000, %00000000
                        byte %00000000, %00000110
                        byte %00110011, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000000
                        byte %00011001, %10000000
                        byte %00000000, %00011000
                        byte %01100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00000000
                        byte %00000000, %00000011
                        byte %00001100, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %00011011
                        byte %11001111, %00001110
                        byte %00011100, %00000110
                        byte %00000111, %10011110
                        byte %00111111, %11000000
                        byte %11110001, %11110000
                        byte %00111101, %11110000
                        byte %11110000, %00011000
                        byte %00000011, %11000111
                        byte %11011100, %00111100
                        byte %01111100, %00111100
                        byte %00111110, %00000011
                        byte %11000111, %10000011
                        byte %00001100, %01111001
                        byte %11101100, %11001111
                        byte %01111100, %00000000
                        byte %00000111, %11110011
                        byte %10011001, %10011011
                        byte %00110110, %00000011
                        byte %11100011, %00000011
                        byte %00111001, %10000001
                        byte %10011001, %11011000
                        byte %00011001, %11011001
                        byte %10011000, %00011001
                        byte %11100000, %01100111
                        byte %01110110, %01100110
                        byte %01100110, %00000110
                        byte %01100110, %00000110
                        byte %01100111, %00000011
                        byte %11111000, %11001100
                        byte %11001100, %11001110
                        byte %01110110, %00000000
                        byte %00000110, %00000011
                        byte %00011111, %10001100
                        byte %00011000, %00000000
                        byte %00110011, %00011111
                        byte %00110001, %10000001
                        byte %10011001, %10011000
                        byte %00011001, %10011001
                        byte %11111000, %00011000
                        byte %01100011, %11100110
                        byte %01100110, %01111110
                        byte %01100110, %00111110
                        byte %01100110, %00000110
                        byte %01100110, %00000011
                        byte %00011000, %11111100
                        byte %11001100, %11001100
                        byte %01100110, %00000000
                        byte %00000110, %00000011
                        byte %00011000, %00000110
                        byte %00001100, %00000110
                        byte %00110011, %00110011
                        byte %00110001, %10000001
                        byte %10011001, %10011000
                        byte %00011001, %10011001
                        byte %10000000, %00011000
                        byte %01100110, %01100110
                        byte %01100110, %01100000
                        byte %01100110, %01100110
                        byte %01100110, %00000110
                        byte %01100110, %00000011
                        byte %00001100, %11000000
                        byte %11001100, %11001100
                        byte %01100110, %00000000
                        byte %00000110, %00000011
                        byte %00011001, %10011011
                        byte %00110110, %00000110
                        byte %00110011, %00110011
                        byte %00110001, %10000001
                        byte %10011001, %10011000
                        byte %00011001, %10011001
                        byte %10011000, %00001100
                        byte %11100110, %01100110
                        byte %01100110, %01100110
                        byte %01100110, %01100110
                        byte %01100110, %00000110
                        byte %01100110, %00000011
                        byte %00001100, %11001100
                        byte %11001101, %11001100
                        byte %01100110, %00000000
                        byte %00000110, %00000011
                        byte %00001111, %00001110
                        byte %00011100, %00000011
                        byte %11100001, %10011111
                        byte %00110000, %11000000
                        byte %11110001, %10011000
                        byte %00001101, %10011000
                        byte %11110000, %00000111
                        byte %11100011, %11100110
                        byte %01100110, %00111100
                        byte %01111100, %00111110
                        byte %00111110, %00000011
                        byte %11000110, %00000011
                        byte %00001100, %01111000
                        byte %01100111, %11001100
                        byte %01100110, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %01100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000110
                        byte %00000000, %00000000
                        byte %01100000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01100110
                        byte %00000000, %00000000
                        byte %01100000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000001
                        byte %10000000, %00000000
                        byte %00000011, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01100110
                        byte %00000000, %00000000
                        byte %01100000, %00000000
                        byte %00000011, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000001
                        byte %10000000, %00000000
                        byte %00000011, %00000000
                        byte %00000001, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11000111
                        byte %11000000, %11110111
                        byte %11000011, %11000000
                        byte %01101100, %01111001
                        byte %10011011, %11100001
                        byte %11100001, %11100011
                        byte %11001111, %10000011
                        byte %11001111, %00000000
                        byte %11100111, %10011110
                        byte %00111111, %11000000
                        byte %11110000, %00011111
                        byte %00001111, %00110011
                        byte %00110000, %00111110
                        byte %00111100, %01111101
                        byte %11000011, %11000000
                        byte %00000000, %00000000
                        byte %00000110, %01100111
                        byte %01100000, %01100111
                        byte %01100110, %01100000
                        byte %01111000, %11001101
                        byte %10011011, %00110011
                        byte %00110000, %00110011
                        byte %10011001, %10000001
                        byte %10011001, %10000001
                        byte %10110011, %00000011
                        byte %00111001, %10000000
                        byte %00011000, %00011101
                        byte %10011001, %10110011
                        byte %00110000, %01100110
                        byte %00000110, %01110111
                        byte %01100110, %01100000
                        byte %00000000, %00000000
                        byte %00000110, %01100110
                        byte %01100000, %01100110
                        byte %01100111, %11100000
                        byte %01110000, %11111100
                        byte %11110011, %00110011
                        byte %00110001, %11110011
                        byte %00011001, %10000001
                        byte %10011001, %10000000
                        byte %11000011, %00011111
                        byte %00110001, %10000000
                        byte %11111000, %00011001
                        byte %10011111, %10011111
                        byte %11100000, %01100110
                        byte %00111110, %01100110
                        byte %01100111, %11100000
                        byte %00000000, %00000000
                        byte %00000110, %01100110
                        byte %01100000, %01100110
                        byte %01100110, %00000000
                        byte %01111000, %11000000
                        byte %11110011, %00110011
                        byte %00110011, %00110011
                        byte %00011001, %10000001
                        byte %10011001, %10000000
                        byte %01100011, %00110011
                        byte %00110001, %10000001
                        byte %10011000, %00011001
                        byte %10011000, %00011111
                        byte %11100000, %01100110
                        byte %01100110, %01100110
                        byte %01100110, %00000000
                        byte %00000000, %00000000
                        byte %00000110, %01100110
                        byte %01100000, %01100110
                        byte %01100110, %01100000
                        byte %01101100, %11001100
                        byte %01100011, %00110011
                        byte %00110011, %00110011
                        byte %00011001, %10000001
                        byte %10011001, %10000001
                        byte %10110011, %00110011
                        byte %00110001, %10000001
                        byte %10011000, %00011001
                        byte %10011001, %10011111
                        byte %11100000, %01100110
                        byte %01100110, %01100110
                        byte %01100110, %01100000
                        byte %00000000, %00000000
                        byte %00000011, %11000110
                        byte %01100000, %00110110
                        byte %01100011, %11000000
                        byte %01100110, %01111000
                        byte %01100011, %11100001
                        byte %11100001, %11110011
                        byte %00001111, %10000000
                        byte %11001111, %00000000
                        byte %11100001, %10011111
                        byte %00110000, %11000000
                        byte %11111000, %00011001
                        byte %10001111, %00001100
                        byte %11000000, %00111110
                        byte %00111110, %01100110
                        byte %01100011, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000110
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %10000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %11111100
                        byte %01111100, %11001100
                        byte %00000000, %01111100
                        byte %01111100, %11111000
                        byte %11111000, %11111100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %00110000
                        byte %11000000, %11001100
                        byte %00000000, %11000000
                        byte %11000000, %11011000
                        byte %11001100, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %00110001
                        byte %10000000, %11001100
                        byte %00000000, %11000001
                        byte %10000001, %10001100
                        byte %11001100, %11000000
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11111100, %00110001
                        byte %10000000, %11111100
                        byte %00000000, %01110001
                        byte %10000001, %10001100
                        byte %11011000, %11000000
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %00110001
                        byte %10111100, %11001100
                        byte %00000000, %00011001
                        byte %10000001, %10001100
                        byte %11110000, %11111000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %00110001
                        byte %10001100, %11001100
                        byte %00000000, %00001101
                        byte %10000001, %10001100
                        byte %11110000, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %00110000
                        byte %11001100, %11001100
                        byte %00000000, %00001100
                        byte %11000000, %11011000
                        byte %11011000, %11000000
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11001100, %11111100
                        byte %01111100, %11001100
                        byte %00000000, %11111000
                        byte %01111100, %11111000
                        byte %11001100, %11111100
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11110000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %11100001
                        byte %11000000, %00000000
                        byte %11111110, %00000000
                        byte %00000000, %00000000
                        byte %01100000, %00000001
                        byte %11100000, %00001100
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %11110000, %00000000
                        byte %00011100, %11000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10011000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %01100000
                        byte %11000000, %00000000
                        byte %01100010, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000010
                        byte %00100000, %00011000
                        byte %00000000, %00000000
                        byte %00000000, %00000001
                        byte %00010000, %00000000
                        byte %00001100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10011000
                        byte %00000000, %00000000
                        byte %00000000, %00000100
                        byte %00000000, %01100000
                        byte %11000000, %00000000
                        byte %01100100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000011
                        byte %00000000, %00011000
                        byte %10000000, %00000000
                        byte %00000000, %00000001
                        byte %10000001, %00000000
                        byte %00001100, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10011011
                        byte %11101110, %00111001
                        byte %11001110, %11011110
                        byte %11100001, %11100000
                        byte %11110011, %10110000
                        byte %01111101, %11110111
                        byte %00001111, %11110110
                        byte %11101110, %11000011
                        byte %11000111, %00111111
                        byte %11111111, %01100111
                        byte %01111101, %11000001
                        byte %11100111, %11110110
                        byte %00111101, %11001110
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %11110001
                        byte %10011011, %01100011
                        byte %01100111, %11001101
                        byte %10110011, %01100000
                        byte %11011011, %00100000
                        byte %01100100, %11001101
                        byte %10011011, %00110110
                        byte %01100111, %11000001
                        byte %11101101, %10011001
                        byte %10011011, %01001011
                        byte %00110011, %01100000
                        byte %11110011, %00110110
                        byte %01101100, %11011011
                        byte %01100000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000001
                        byte %10011111, %00111011
                        byte %11100110, %11001101
                        byte %11110011, %01100000
                        byte %11011001, %10100000
                        byte %01100000, %11001101
                        byte %10011011, %00110110
                        byte %01100110, %11000000
                        byte %00101101, %10011001
                        byte %10011011, %01000111
                        byte %00110011, %11100000
                        byte %00010011, %00110110
                        byte %01101100, %11011011
                        byte %00111000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000001, %10000001
                        byte %10011000, %00011011
                        byte %00000110, %11001101
                        byte %10000011, %01100000
                        byte %11011001, %11000000
                        byte %01100000, %11001101
                        byte %10001110, %00110110
                        byte %01100110, %11000010
                        byte %00101101, %10011001
                        byte %10001111, %10001011
                        byte %00110011, %00000001
                        byte %00010011, %00110110
                        byte %01101100, %11011011
                        byte %00011000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000011, %11000011
                        byte %11001111, %01110001
                        byte %11101110, %11101110
                        byte %11110001, %11110000
                        byte %11110000, %11000000
                        byte %11110001, %11100111
                        byte %00010000, %00111111
                        byte %11111110, %11100011
                        byte %11000111, %00111101
                        byte %11001101, %10001111
                        byte %11111001, %11100001
                        byte %11100011, %10111111
                        byte %00111111, %11101110
                        byte %01110000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00001111, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %10000000
                        byte %00000000, %00000000
                        byte %00010000, %10000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00011111, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000
                        byte %00000000, %00000000



attr                    byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_100
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_110
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_011
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_001
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_010
                        byte %0_0_000_010
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111
                        byte %0_0_000_111

start                   byte 0 